List all branches that match this environment’s branch rules.
For wildcard environments (like preview with [”*”]), returns all non-retired branches for the agent.
For specific branch rules (like production with [“main”]), returns only the matching branch(es).
Branches are sorted by updated_at descending (most recent first).
GET
/
agents
/
{namespace_slug}
/
{agent_name}
/
environments
/
{env_name}
/
branches
List Branches for Environment
curl --request GET \
--url https://api.example.com/agents/{namespace_slug}/{agent_name}/environments/{env_name}/branchesimport requests
url = "https://api.example.com/agents/{namespace_slug}/{agent_name}/environments/{env_name}/branches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agents/{namespace_slug}/{agent_name}/environments/{env_name}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branches": [
{
"agent_id": "<string>",
"git_branch": "<string>",
"git_branch_normalized": "<string>",
"id": "<string>",
"replicas": 123,
"created_at": "2023-11-07T05:31:56Z",
"current_version": {
"deployed_at": "2023-11-07T05:31:56Z",
"git_hash": "<string>",
"id": "<string>",
"git_message": "",
"source_filesystem_id": "<string>"
},
"retired_at": "2023-11-07T05:31:56Z",
"retired_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?
Previous
Get BranchGet branch details by ID.
Used by CLI to poll for branch status after calling POST /agents/deploy.
Poll until status is READY (success) or FAILED/TIMEOUT (failure).
Next
⌘I
List Branches for Environment
